package thkoeln.archilab.ecommerce.solution.order.domain.valueObjects.orderPart.domain;

import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import thkoeln.archilab.ecommerce.solution.order.domain.Order;
import thkoeln.archilab.ecommerce.solution.product.domain.entities.Product;
import thkoeln.archilab.ecommerce.solution.shipmentunit.domain.ShipmentUnit;

import java.util.UUID;

import javax.persistence.Embeddable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;



//@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Embeddable
@EqualsAndHashCode
public class OrderPart {

    @ManyToOne
    private Product product;

    private Integer quantity;



    /*@ManyToOne
    @JoinColumn(name = "order_id", nullable = true) // Nullable, as not every OrderPart has a ShipmentUnit
    private Order order;

    @ManyToOne
    @JoinColumn(name = "shipment_unit_id", nullable = true) // Nullable, as not every OrderPart has a ShipmentUnit
    private ShipmentUnit shipmentUnit;*/
}