package thkoeln.archilab.ecommerce.solution.product.application;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import thkoeln.archilab.ecommerce.ShopException;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "No Product found")
public class ProductNotFoundException extends ShopException {

    public ProductNotFoundException(String message) {
        super(message);
    }

}