package thkoeln.archilab.ecommerce.solution.shipmentunit.application;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.UUID;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import thkoeln.archilab.ecommerce.solution.shoppingcart.application.CartPositionDto;


@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ShipmentUnitDto {
    
    private UUID id;     
    private UUID depotId; 
    private UUID orderId; 
    private List<CartPositionDto> shipmentUnitParts = new ArrayList<CartPositionDto>();


}
