package thkoeln.archilab.ecommerce.solution.shoppingcart.application;

import org.springframework.stereotype.Component;
import thkoeln.archilab.ecommerce.domainprimitives.EmailAddress;
import thkoeln.archilab.ecommerce.domainprimitives.Money;
import thkoeln.archilab.ecommerce.solution.order.domain.valueObjects.orderPart.domain.OrderPart;
import thkoeln.archilab.ecommerce.solution.shoppingcart.domain.entities.ShoppingCart;
import thkoeln.archilab.ecommerce.solution.user.application.UserDto;
import thkoeln.archilab.ecommerce.solution.user.application.exceptions.UserCreationException;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.UUID;

import org.hibernate.cfg.NotYetImplementedException;
import org.modelmapper.ModelMapper;


@Component
public final class CartPositionDtoMapperHelper {

    private static ModelMapper modelMapper = new ModelMapper();

    public static CartPositionDto mapToDto(OrderPart orderPart){
       
        return new CartPositionDto(orderPart.getProduct().getProductId(), orderPart.getQuantity());

    }


    public static OrderPart mapToEntity(ShoppingCartDto userDto) throws UserCreationException 
    {
        throw new NotYetImplementedException("Users mapToEntity");
       /*  ShoppingCart shoppingCart = new ShoppingCart();
        modelMapper.map(userDto, shoppingCart);
        return shoppingCart;*/
    }
    
}
