package thkoeln.archilab.ecommerce.solution.shoppingcart.application.exceptions;

import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.method.annotation.MethodArgumentTypeMismatchException;
import org.springframework.http.HttpStatus;

@ControllerAdvice
public class ShoppingCartExceptionHandler {

    @ExceptionHandler(MethodArgumentTypeMismatchException.class)
    @ResponseStatus(HttpStatus.NOT_FOUND)
    public void handleInvalidUUIDFormat(MethodArgumentTypeMismatchException ex) {
        // Log the exception if necessary
    }
}