package thkoeln.archilab.ecommerce.solution.shoppingcart.application.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import thkoeln.archilab.ecommerce.ShopException;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "No ShoppingCart found")
public class ShoppingCartNotFoundException extends ShopException {

    public ShoppingCartNotFoundException(String message) {
        super(message);
    }

}