package thkoeln.archilab.ecommerce.solution.shoppingcart.domain.repositories;
import java.util.List;
import java.util.UUID;

import org.springframework.data.repository.CrudRepository;

import thkoeln.archilab.ecommerce.domainprimitives.EmailAddress;
import thkoeln.archilab.ecommerce.solution.shoppingcart.domain.entities.ShoppingCart;
import thkoeln.archilab.ecommerce.solution.user.domain.entities.User;

public interface ShoppingCartRepository extends CrudRepository<ShoppingCart, UUID>{ 
    //ShoppingCart findByEmailAddress(String emailAdress);

    ShoppingCart findByUser(User user);

    
    List<ShoppingCart> findAll();
    void deleteByUserEmailAddress(EmailAddress userEmail);
}
