package thkoeln.archilab.ecommerce.solution.user.application.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import thkoeln.archilab.ecommerce.ShopException;

@ResponseStatus(code = HttpStatus.UNPROCESSABLE_ENTITY, reason = "Invalid Data for User creation")
public class UserCreationException extends ShopException {

    public UserCreationException(String message) {
        super(message);
    }

}