package thkoeln.archilab.ecommerce.solution.user.application.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import thkoeln.archilab.ecommerce.ShopException;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "No user found")
public class UserNotFoundException extends ShopException {

    public UserNotFoundException(String message) {
        super(message);
    }

}