package thkoeln.archilab.ecommerce.solution.user.domain.repositories;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

import org.springframework.data.repository.CrudRepository;

import thkoeln.archilab.ecommerce.domainprimitives.EmailAddress;
import thkoeln.archilab.ecommerce.solution.user.domain.entities.User;

public interface UserRepository extends CrudRepository<User, UUID>{

    User findByEmailAddress(EmailAddress emailAdress);
    Optional<User> findById(UUID id);
    List<User> findAll();
}