package thkoeln.archilab.ecommerce.usecases;

import thkoeln.archilab.ecommerce.usecases.domainprimitivetypes.EmailAddressType;
import thkoeln.archilab.ecommerce.usecases.domainprimitivetypes.PersonalAddressType;

/**
 * This interface expresses the essence of a shop user
 */
public interface UserType {
    public String getName();
    public EmailAddressType getEmailAddress();
    public PersonalAddressType getPersonalAddress();
}
