package thkoeln.archilab.ecommerce.solution.product.domain.repositories; 
import java.util.List;
import java.util.UUID;

import org.springframework.data.repository.CrudRepository;

import thkoeln.archilab.ecommerce.solution.product.domain.entities.Product;

public interface ProductRepository extends CrudRepository<Product, UUID>{
    Product findByProductId(UUID uuid);
    List<Product> findAll();
}