package thkoeln.archilab.ecommerce.solution.shoppingcart.application.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import thkoeln.archilab.ecommerce.ShopException;

@ResponseStatus(code = HttpStatus.UNPROCESSABLE_ENTITY, reason = "Invalid Data for ShoppingCart creation")
public class ShoppingCartCreationException extends ShopException {

    public ShoppingCartCreationException(String message) {
        super(message);
    }

}