package thkoeln.archilab.ecommerce.solution.shoppingcart.application.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import thkoeln.archilab.ecommerce.ShopException;

@ResponseStatus(code = HttpStatus.METHOD_NOT_ALLOWED, reason = "Method Not Allowed")
public class ShoppingCartMethodNotAllowedException extends ShopException {

    public ShoppingCartMethodNotAllowedException(String message) {
        super(message);
    }

}